
/* Big and small shares */
#delimit;
xtlogit iia
l.small_fdi
l.hi_natstock
i.bit_force
l.lninfdi_total
l.polconiii
l.lnhost_gdppc
l.host_growth
t t2 t3
region_*
if oecd==0;
estimates store e1;

 #delimit;
xtlogit iia
l.big_fdi
l.hi_natstock
i.bit_force
l.lninfdi_total
l.polconiii
l.lnhost_gdppc
l.host_growth
t t2 t3
region_*
if oecd==0;
estimates store e2;
margins , pred(pu0) at(l.big_fdi=(0 1)) atmeans level(90);

 #delimit;
xtlogit iia
l.usa
l.hi_natstock
i.bit_force
l.lninfdi_total
l.polconiii
l.lnhost_gdppc
l.host_growth
t t2 t3
region_*
if oecd==0;
estimates store e3;
margins , pred(pu0) at(l.usa=(0 1)) atmeans level(90);


#delimit;
xtlogit iia
cl.fdishare_ij##cl.fdishare_ij
l.hi_natstock
i.bit_force
l.lninfdi_total
l.polconiii
l.lnhost_gdppc
l.host_growth
t t2 t3
region_*
if oecd==0;
estimates store e4;
margins , at(l.fdishare_ij=(0(.1)1)) atmeans level(90);
marginsplot, recastci(rline) scheme(s2mono);

estout e1 e2 e3 e4, starlevels (* .1 ** .05 *** .01) cells(b(star fmt(%9.3f)) se(par))
stats(r2 N, fmt(%9.3f %9.0f));

#delimit;
sum iia small_fdi big_fdi usa fdishare_ij hi_natstock bit_force lninfdi_total 
polconiii lnhost_gdppc host_growth if e(sample);

===

/* graphics 

#delimit;
xtlogit iia cl.fdishare_ij cl.fdishare_ij##cl.fdishare_ij cl.fdishare_ij##il.bit_force
l.bit_force l.lninfdi_total l.hi_natstock l.polconiii l.lnhost_gdppc l.host_growth
t t2 t3 region_* if oecd==0;
estimates store e2;


===

/* Different accounting for time */

 
#delimit;
 xtlogit iia
l.fdishare_ij
l.bit_force
l.lninfdi_total
l.hi_natstock
l.polconiii
l.lnhost_gdppc
l.host_growth
t t2 t3
region_*
if oecd==0, pa corr(ar1);
estimates store e1;

#delimit;
 xtlogit iia
l.fdishare_ij
l.share2
l.bit_force
l.lninfdi_total
l.hi_natstock
l.polconiii
l.lnhost_gdppc
l.host_growth
t t2 t3
region_*
if oecd==0, pa corr(ar1);
estimates store e2;

 #delimit;
xtlogit iia
l.small_fdi
l.bit_force
l.lninfdi_total
l.hi_natstock
l.polconiii
l.lnhost_gdppc
l.host_growth
t t2 t3
region_*
if oecd==0, pa corr(ar1);
estimates store e3;
 
 #delimit;
xtlogit iia
l.big_fdi
l.bit_force
l.lninfdi_total
l.hi_natstock
l.polconiii
l.lnhost_gdppc
l.host_growth
t t2 t3
region_*
if oecd==0, pa corr(ar1);
estimates store e4;

estout e1 e2 e3 e4, starlevels (* .1 ** .05 *** .01) cells(b(star fmt(%9.3f)) se(par))
stats(r2 N, fmt(%9.3f %9.0f));



====


/*
gen temp = valueOutward
replace temp = 0 if valueOutward<0 & valueOutward!=.
gen temp2 = infdi_mil_total
replace temp2= 0 if infdi_mil_total<0 & infdi_mil_total!=.
gen temp3 = temp/temp2
replace temp3=. if temp3>100
/* Dropping 4 strange results that fall out of regressions anyway */
rename temp3 fdishare_ij
drop temp temp2

replace small_fdi=. if fdishare_ij==.
replace big_fdi=. if fdishare_ij==.

gen share2 = fdishare_ij^2
gen lninfdi_total=ln(infdi_mil_total + .01)

 
 gen usa=1 if big_fdi==1 & home=="USA"
 gen deu=1 if big_fdi==1 & home=="DEU"
 gen nld=1 if big_fdi==1 & home=="NLD"
 replace usa=0 if usa==. & big_fdi!=.
 replace deu=0 if deu==. & big_fdi!=.
 replace nld=0 if nld==. & big_fdi!=.
 gen oth=1 if big_fdi==1 & usa==0 & deu==0 & nld==0
 replace oth=0 if oth==. & big_fdi!=.
 
 gen interact = fdishare_ij * hi_natstock
*/
